local ____lualib = require("lualib_bundle")
local __TS__New = ____lualib.__TS__New
local ____exports = {}
local ____isaac_2Dtypescript_2Ddefinitions = require("isaac-typescript-definitions")
local RoomType = ____isaac_2Dtypescript_2Ddefinitions.RoomType
local ____ReadonlyMap = require("types.ReadonlyMap")
local ReadonlyMap = ____ReadonlyMap.ReadonlyMap
--- Maps room names to the values of the `RoomType` enum.
____exports.ROOM_NAME_TO_TYPE_MAP = __TS__New(ReadonlyMap, {
    {"default", RoomType.DEFAULT},
    {"shop", RoomType.SHOP},
    {"error", RoomType.ERROR},
    {"iAmError", RoomType.ERROR},
    {"treasure", RoomType.TREASURE},
    {"boss", RoomType.BOSS},
    {"miniBoss", RoomType.MINI_BOSS},
    {"secret", RoomType.SECRET},
    {"superSecret", RoomType.SUPER_SECRET},
    {"arcade", RoomType.ARCADE},
    {"curse", RoomType.CURSE},
    {"challenge", RoomType.CHALLENGE},
    {"library", RoomType.LIBRARY},
    {"sacrifice", RoomType.SACRIFICE},
    {"devil", RoomType.DEVIL},
    {"angel", RoomType.ANGEL},
    {"dungeon", RoomType.DUNGEON},
    {"crawlSpace", RoomType.DUNGEON},
    {"bossRush", RoomType.BOSS_RUSH},
    {"isaacs", RoomType.CLEAN_BEDROOM},
    {"bedroom", RoomType.CLEAN_BEDROOM},
    {"cleanBedroom", RoomType.CLEAN_BEDROOM},
    {"dirtyBedroom", RoomType.DIRTY_BEDROOM},
    {"barren", RoomType.DIRTY_BEDROOM},
    {"vault", RoomType.VAULT},
    {"chest", RoomType.VAULT},
    {"dice", RoomType.DICE},
    {"blackMarket", RoomType.BLACK_MARKET},
    {"greedExit", RoomType.GREED_EXIT},
    {"planetarium", RoomType.PLANETARIUM},
    {"teleporter", RoomType.TELEPORTER},
    {"teleporterExit", RoomType.TELEPORTER_EXIT},
    {"secretExit", RoomType.SECRET_EXIT},
    {"blue", RoomType.BLUE},
    {"ultraSecret", RoomType.ULTRA_SECRET}
})
return ____exports
